"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findPrefix = void 0;
const path = require("path");
const fs = require("fs");
function findPrefix(dir) {
    dir = path.resolve(dir);
    // this is a weird special case where an infinite recurse of
    // node_modules folders resolves to the level that contains the
    // very first node_modules folder
    let walkedUp = false;
    while (path.basename(dir) === 'node_modules') {
        dir = path.dirname(dir);
        walkedUp = true;
    }
    if (walkedUp) {
        return dir;
    }
    return findPrefix_(dir);
}
exports.findPrefix = findPrefix;
function findPrefix_(dir, original = dir) {
    const parent = path.dirname(dir);
    if (parent === dir)
        return original;
    let files;
    try {
        files = fs.readdirSync(dir);
    }
    catch (err) {
        if (dir === original && err.code !== 'ENOENT') {
            throw err;
        }
        else {
            return original;
        }
    }
    if (files.indexOf('node_modules') !== -1 || files.indexOf('package.json') !== -1) {
        return dir;
    }
    return findPrefix_(parent, original);
}
