"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readConfig = void 0;
const fs_1 = require("fs");
const find_prefix_1 = require("./find-prefix");
function readConfig(configPath) {
    if (!(0, fs_1.existsSync)(configPath)) {
        throw new Error(`Configuration file "${configPath}" is not found`);
    }
    const exports = require(configPath);
    const config = exports.__esModule ? exports.default : exports;
    if (!config.root) {
        config.root = (0, find_prefix_1.findPrefix)(configPath);
    }
    return config;
}
exports.readConfig = readConfig;
