import * as tsapi from '@tybys/tsapi';
import type { BundleConfig } from './rollup';
export type { BundleConfig };
/**
 * @public
 */
export interface Configuration {
    root: string;
    tscTargets: tsapi.TransformOptions[];
    libraryName?: string;
    /**
     * @defaultValue `'tsconfig.json'`
     */
    baseTsconfig?: string;
    /**
     * @defaultValue `'docs/api'`
     */
    docOutputPath?: string;
    bundleTargets?: BundleConfig[];
}
/**
 * @public
 */
export declare function build(config: Configuration): Promise<void>;
/**
 * @public
 */
export declare function watch(config: Configuration): void;
/**
 * @public
 */
export declare function defineConfig(config: Configuration): Configuration;
